Ubuntu

Sync libqglviewer 2.3.17-1 (universe) from Debian experimental (main)

Reported by Michael Doube on 2013-01-07
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libqglviewer (Debian)
Fix Released
Unknown
libqglviewer (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync libqglviewer 2.3.17-1 (universe) from Debian experimental (main)

Ubuntu is shipping a more than three-year-old version of libQGLViewer (version 2.3.4 released in September 2009).

This means that modern software fails to run or build on Ubuntu: one must download from the project homepage a recent version instead of using the official repository version.

http://www.libqglviewer.com/

Please update this package.

Changelog entries since current raring version 2.3.4-4.2:

libqglviewer (2.3.17-1) experimental; urgency=low

  [ Artur R. Czechowski ]
  * New upstream release:
    + uses CONFIG += no_keywords so that the library can be used with Boost
      (LP: #414975) (Closes: #697660)
  * Using upstream name convention: libQGLViewer instead of libqglviewer
  * Don't build Qt3 version anymore
  * Drop no longer needed patches:
    + 01qt3-qt4
    + 04glu-include
    + 99compile-examples
  * Convert to 3.0 (quilt) format
    + remove dpatch from Build-Deps and all calls from debian/rules
    + update patches in debian/patches
    + replace debian/00list with debian/series
    + remove README.source
    + rename remaining patches - remove NN prefix
  * Pass multiarch related LIB_DIR to qmake in debian/rules
  * Lintian cleanup:
    + fix descriptions
    + libqglviewer-qt4-2 depends on ${misc:Depends}
    + build-arch and build-indep provided in debian/rules
  * Update Standards-Version to 3.9.3
    + sort Breaks/Replaces/Provides dependencies for transition
  * Remove transition related stuff. The dev package is libqglviewer-dev,
    the shared library package is libqglviewer2.
  * Headers moved from libqglviewer-dev-common to libqglviewer-dev
  * Documentation moved from libqglviewer-dev-common to new libqglviewer-doc
  * Remove debian/README.Multiflavour and other qt3 related artifacts from
    debian/
  * README.Debian cleanup
    + Merge all *.README.Debian into one file - the content is the same
    + Corrected upstream name in README.Debian
    + Updated URL of homepage
  * Provide upstreams GPL_EXCEPTION file, mention it in copyright one.
  * Tighten shlibs dependencies, as upstream confirmed no ABI compatibility
    is assured between even minor releases
  * Hardening the binaries
    + build depends on dpkg-dev > 1.16.1~
    + use dpkg-buildflags
    + pass build flags to qmake
    + don't remove -g option in qmake - new patch: compile-with--g-option
    + add lintian overrides for false positive hardening-no-stackprotector
      warning, see #673112

  [ Anton Gladky ]
  * [4b87fd4] Use compat-level 9.
  * [2a3db76] Clean in rules-file.
  * [51c8386] Use override_dh commands.
  * [b79d40d] Use DEP-5 for copyright-file.
              Remove adding exception in each package.
  * [934a9b8] Remove compile-with--g-option patch. The -g options is transmitted
              with other CFLAGS in debian/rules.
  * [173c034] Remove olsolete DM-Upload-Allowed flag.
  * [e694744] Change maintainership to Debian-Science Team. (Closes: #688520)
  * [f0627f1] Remove symlink of copyright-file during upgrade. (Closes: #691441)
  * [f79e4f8] Properly remove old binaries.
  * [1a200fe] Bumped Standards-Version: 3.9.4. No changes.

 -- Anton Gladky <email address hidden> Fri, 25 Jan 2013 23:07:30 +0100

description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libqglviewer (Ubuntu):
status: New → Confirmed
Changed in libqglviewer (Debian):
status: Unknown → New
Changed in libqglviewer (Debian):
status: New → Fix Committed
Changed in libqglviewer (Debian):
status: Fix Committed → Fix Released
Logan Rosen (logan) on 2013-01-31
description: updated
summary: - Needs version update
+ Sync libqglviewer 2.3.17-1 (universe) from Debian experimental (main)
Micah Gersten (micahg) wrote :

This needs a mini transition as libqglviewer-qt4-dev has 2 build dependencies and it's no longer produced by this version. Logan, can you look into that please?

Changed in libqglviewer (Ubuntu):
status: Confirmed → Incomplete
Logan Rosen (logan) wrote :

Oh, I see. Let me look into this.

Bryce Harrington (bryce) wrote :

Thanks; re-subscribe ubuntu-sponsors when you're ready.

Artur R. Czechowski (arturcz) wrote :

FYI: libqglviewer 2.3.17-2 hit testing a few days ago.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.